package com.unis.module.infra.api.file;

/**
 * 文件 API 接口
 *
 * @author 芋道源码
 */
public interface FileApi {

    /**
     * 保存文件，并返回文件的访问路径
     *
     * @param content 文件内容
     * @return 文件路径
     */
    default String createFile(byte[] content) {
        return createFile(null, null, content);
    }

    /**
     * 保存文件，并返回文件的访问路径
     *
     * @param module 模块名称，可以不传，不传文件默认以时间分文件夹
     * @param content 文件内容
     * @return 文件路径
     */
    default String createFile(String module, byte[] content) {
        return createFile(null, module, content);
    }

    /**
     * 保存文件，并返回文件的访问路径
     *
     * @param name 文件名称
     * @param module 模块名称，可以不传，不传文件默认以时间分文件夹
     * @param content 文件内容
     * @return 文件路径
     */
    String createFile(String name, String module, byte[] content);

}
